Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 166199 - Review Request: perl-Data-Page : Help when paging through sets of results
Summary: Review Request: perl-Data-Page : Help when paging through sets of results
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Data-Page/
Whiteboard:
Depends On: 166183
Blocks: FE-ACCEPT 166190
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:46 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 01:50:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Patch addressing review issues (deleted)
2005-08-25 11:01 UTC, Paul Howarth
no flags Details | Diff

Description Tom "spot" Callaway 2005-08-17 20:46:36 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Data-Page.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Data-Page-2.00-2.src.rpm

Description: 

Help when paging through sets of results.

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Paul Howarth 2005-08-25 11:00:28 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, spec matches
- spec written in English and is legible
- sources match upstream
- package builds OK in mock for FC4 (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions errors
- %clean section present and correct
- macro usage consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- explicit Requires: perl(Class::Accessor::Chained::Fast) needed, not picked up
automatically

Nitpick:

- redundant BR: perl
- license text not included; suggest the usual fix
- suggest including CHANGES as %doc
- make called without %{?_smp_mflags}
- BR: perl(Class::Accessor::Chained) should really be
perl(Class::Accessor::Chained::Fast), though the same package provides both
- add BR: perl(Test::Pod) & perl(Test::Pod::Coverage) for improved test cover


Comment 2 Paul Howarth 2005-08-25 11:01:42 UTC
Created attachment 118105 [details]
Patch addressing review issues

Comment 4 Paul Howarth 2005-08-26 08:48:37 UTC
Approved.



Note You need to log in before you can comment on or make changes to this bug.